List participants
GET
/workspaces/{workspaceId}/conversations/{conversationId}/participants
Retrieve the list of participants in a conversation
Abfrageparameter
limit
integer
pageToken
string
reverse
boolean
Antwort-Payload
results
array of object
erforderlich
List of conversation participants.
Untergeordnete Attribute anzeigen
results.avatarUrl
string
results.contact
object
Untergeordnete Attribute anzeigen
results.contact.identifierKey
string
erforderlich
results.contact.identifierValue
string
erforderlich
results.contact.platformAddress
string
results.contact.platformAddressSelector
string
results.conversationId
string
results.createdAt
string
results.displayName
string
results.id
string
erforderlich
results.resourceUri
string
results.status
string
Possible values: invited, pending, active, inactive
results.type
string
erforderlich
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
results.updatedAt
string
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
totalType
string
Possible values: ``, equal, greaterThanOrEqual
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Codebeispiel
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/02ec2ac2-ebec-42d3-a5f4-e6f3a9edf418/participants" \
-H "Authorization: AccessKey abcd"Codebeispiel
{
"results": [
{
"id": "68b80b8d-8060-42df-bda3-73505a8fdb84",
"type": "accessKey",
"status": "active",
"displayName": "My first email key",
"avatarUrl": ""
},
{
"id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
"type": "contact",
"status": "active",
"displayName": "John Doe",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "john.doe@bird.com",
"platformAddress": "john.doe@bird.com"
}
}
]
}